BasicCollectionLoader (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.loader.collection
Class BasicCollectionLoader

    java.lang.Object
      org.hibernate.loader.Loader
          org.hibernate.loader.BasicLoader
              org.hibernate.loader.OuterJoinLoader
                  org.hibernate.loader.collection.CollectionLoader
                      org.hibernate.loader.collection.BasicCollectionLoader

All Implemented Interfaces:
  CollectionInitializer

Direct Known Subclasses:
  SubselectCollectionLoader

    public class BasicCollectionLoader

extends CollectionLoader

Loads a collection of values or a many-to-many association.
The collection persister must implement `QueryableCOllection`. For other collections, create a customized subclass of `Loader`.``

See Also:
  `OneToManyLoader`

Field Summary

Fields inherited from class org.hibernate.loader.OuterJoinLoader
`aliases, collectionOwners, collectionPersisters, collectionSuffixes, lockModeArray, ownerAssociationTypes, owners, persisters, sql, suffixes`

Fields inherited from class org.hibernate.loader.BasicLoader
`NO_SUFFIX`

Constructor Summary
`` | `BasicCollectionLoader(QueryableCollection collectionPersister, int batchSize, SessionFactoryImplementor factory, LoadQueryInfluencers loadQueryInfluencers)`
`protected` | `BasicCollectionLoader(QueryableCollection collectionPersister, int batchSize, String subquery, SessionFactoryImplementor factory, LoadQueryInfluencers loadQueryInfluencers)`
`` | `BasicCollectionLoader(QueryableCollection collectionPersister, SessionFactoryImplementor session, LoadQueryInfluencers loadQueryInfluencers)`

Method Summary

Methods inherited from class org.hibernate.loader.collection.CollectionLoader
`getKeyType, initialize, isSubselectLoadingEnabled, toString`

Methods inherited from class org.hibernate.loader.OuterJoinLoader
`getAliases, getCollectionOwners, getCollectionPersisters, getCollectionSuffixes, getDialect, getEntityPersisters, getLoadQueryInfluencers, getLockModes, getLockOptions, getOwnerAssociationTypes, getOwners, getSQLString, getSuffixes, initFromWalker`

Methods inherited from class org.hibernate.loader.BasicLoader
`generateSuffixes, generateSuffixes, getCollectionAliases, getEntityAliases, postInstantiate`

Methods inherited from class org.hibernate.loader.Loader
`applyLocks, applyPostLoadLocks, areResultSetRowsTransformedImmediately, autoDiscoverTypes, bindNamedParameters, bindParameterValues, bindPositionalParameters, checkScrollability, doList, extractKeysFromResultSet, getCompositeKeyManyToOneTargetIndices, getEntityEagerPropertyFetches, getFactory, getNamedParameterLocs, getQueryIdentifier, getResultColumnOrRow, getResultList, getResultRow, getResultRowAliases, getResultSet, hasSubselectLoadableCollections, includeInResultRow, isSingleRowLoader, list, loadCollection, loadCollectionBatch, loadCollectionSubselect, loadEntity, loadEntity, loadEntityBatch, loadSequentialRowsForward, loadSequentialRowsReverse, loadSingleRow, needsFetchingScroll, prepareQueryStatement, preprocessSQL, resolveResultTransformer, scroll, upgradeLocks`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicCollectionLoader

    public BasicCollectionLoader(QueryableCollection collectionPersister,
                                 SessionFactoryImplementor session,
                                 LoadQueryInfluencers loadQueryInfluencers)
                          throws MappingException

Throws:
  `MappingException`

### BasicCollectionLoader

    public BasicCollectionLoader(QueryableCollection collectionPersister,
                                 int batchSize,
                                 SessionFactoryImplementor factory,
                                 LoadQueryInfluencers loadQueryInfluencers)
                          throws MappingException

Throws:
  `MappingException`

### BasicCollectionLoader

    protected BasicCollectionLoader(QueryableCollection collectionPersister,
                                    int batchSize,
                                    String subquery,
                                    SessionFactoryImplementor factory,
                                    LoadQueryInfluencers loadQueryInfluencers)
                             throws MappingException

Throws:
  `MappingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.